| The Gaudi Framework v27r1

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Private Attributes | List of all members
GaudiKernel.Configurable.DummyDescriptor Class Reference

classes for generic Gaudi component =========== More...

Inheritance diagram for GaudiKernel.Configurable.DummyDescriptor:
[legend]
Collaboration diagram for GaudiKernel.Configurable.DummyDescriptor:
[legend]

## Public Member Functions
def | __init__ (self, name)
def | __get__
def | __set__ (self, obj, value)

## Private Attributes
| __name__

## Detailed Description

classes for generic Gaudi component ===========

Definition at line 935 of file Configurable.py.

## Constructor & Destructor Documentation

def GaudiKernel.Configurable.DummyDescriptor.__init__ | ( |  | self,
|  |  | name
| ) |  |

Definition at line 936 of file Configurable.py.

936 def __init__( self, name ):
937 self.__name__ = name # conventional
938
GaudiKernel.Configurable.DummyDescriptor.__init__
def __init__(self, name)
Definition: Configurable.py:936
GaudiKernel.Configurable.DummyDescriptor.__name__
__name__
Definition: Configurable.py:937

## Member Function Documentation

def GaudiKernel.Configurable.DummyDescriptor.__get__ | ( |  | self,
|  |  | obj,
|  |  | type = `None`
| ) |  |

Definition at line 939 of file Configurable.py.

939 def __get__( self, obj, type = None ):
940 return getattr( obj, self.__name__ )
941
GaudiKernel.Configurable.DummyDescriptor.__name__
__name__
Definition: Configurable.py:937
GaudiKernel.Configurable.DummyDescriptor.__get__
def __get__
Definition: Configurable.py:939

def GaudiKernel.Configurable.DummyDescriptor.__set__ | ( |  | self,
|  |  | obj,
|  |  | value
| ) |  |

Definition at line 942 of file Configurable.py.

942 def __set__( self, obj, value ):
943 object.__setattr__( obj, self.__name__, value )
944
GaudiKernel.Configurable.DummyDescriptor.__set__
def __set__(self, obj, value)
Definition: Configurable.py:942
GaudiKernel.Configurable.DummyDescriptor.__name__
__name__
Definition: Configurable.py:937

## Member Data Documentation

GaudiKernel.Configurable.DummyDescriptor.__name__
| private

Definition at line 937 of file Configurable.py.

The documentation for this class was generated from the following file:

- GaudiKernel/python/GaudiKernel/Configurable.py